# eric7.Plugins.VcsPlugins.vcsPySvn.SvnLoginDialog

Module implementing the login dialog for pysvn.

### Global Attributes

None

### Classes

SvnLoginDialog | Class implementing the login dialog for pysvn.

### Functions

None

## SvnLoginDialog

Class implementing the login dialog for pysvn.

### Derived from

QDialog, Ui_SvnLoginDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnLoginDialog | Constructor
getData | Public method to retrieve the login data.

### Static Methods

None

#### SvnLoginDialog (Constructor)

SvnLoginDialog(realm, username, may_save, parent=None)

Constructor

realm
  name of the realm of the requested credentials (string)
username
  username as supplied by subversion (string)
may_save
  flag indicating, that subversion is willing to save the answers returned (boolean)
parent
  reference to the parent widget (QWidget)

#### SvnLoginDialog.getData

getData()

Public method to retrieve the login data.

Return:
  tuple of three values (username, password, save)

Up